Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Class XMLStreamException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.xml.stream.XMLStreamException

public class XMLStreamException
extends java.io.IOException
implements weblogic.utils.NestedThrowable

The base exception for unexpected input during XML handling

Version:
  1.0
See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `th`

Constructor Summary
`XMLStreamException()`
`XMLStreamException(java.lang.String msg)`
`XMLStreamException(java.lang.String msg, java.lang.Throwable th)`
`XMLStreamException(java.lang.Throwable th)`

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.Throwable` | `getNested()` Gets the nested Throwable.
`java.lang.Throwable` | `getNestedException()` Gets the nested exception.
`void` | `printStackTrace()` Prints the stack trace associated with this exception and its nested exception to System.err.
`void` | `printStackTrace(java.io.PrintStream s)` Prints the stack trace associated with this exception and its nested exception.
`void` | `printStackTrace(java.io.PrintWriter w)` Prints the stack trace associated with this exception and its nested exception.
`void` | `superPrintStackTrace(java.io.PrintStream ps)`
`void` | `superPrintStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `superToString()`
`java.lang.String` | `toString()` Prints the exception message and its nested exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### th

    protected java.lang.Throwable th

Constructor Detail

### XMLStreamException

    public XMLStreamException()

### XMLStreamException

    public XMLStreamException(java.lang.String msg)

### XMLStreamException

    public XMLStreamException(java.lang.Throwable th)

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              java.lang.Throwable th)

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

  Gets the nested exception.

  Returns:
    Nested exception

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class java.lang.Throwable

### getNested

    public java.lang.Throwable getNested()

  Gets the nested Throwable.
  Specified by:
    getNested in interface weblogic.utils.NestedThrowable

  Returns:
    Nested exception

### superToString

    public java.lang.String superToString()

  Specified by:
    superToString in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintStream ps)

  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintWriter pw)

  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

### toString

    public java.lang.String toString()

  Prints the exception message and its nested exception message.

  Returns:
    String representation of the exception
  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints the stack trace associated with this exception and its nested exception.

  Parameters:
    `s` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Prints the stack trace associated with this exception and its nested exception.

  Parameters:
    `s` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Prints the stack trace associated with this exception and its nested exception to System.err.

  Parameters:
    `s` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference